Bug 35639 - Structural diff (Java structure)
Structural diff (Java structure)
Status: REOPENED
Product: utilities
Classification: Unclassified
Component: Diff
3.x
All All
: P2 with 1 vote (vote)
: TBD
Assigned To: Tomas Stupka
diff-issues@utilities
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-21 11:07 UTC by mvinar
Modified: 2013-05-01 20:06 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mvinar 2003-08-21 11:07:06 UTC
User problem:
-----------------------------------
The versioning diff result is often hard to evaluate.

User need:
-----------------------------------
View the VCS diff through Java eyes - i.e. Method
added, Method body changed, Documentation changed,
etc.

Product requirement:
-----------------------------------
Structural diff (Java structure)
Comment 1 ceklock 2011-09-20 15:25:58 UTC
Closed because this issue is obsolete and current NetBeans already has a better and friendly diff result.
Comment 2 Jesse Glick 2011-10-18 18:43:12 UTC
I do not think this issue is obsolete (though it may be WONTFIX); the IDE still displays a generic diff view, not indicating structural changes like "method added" as in the original request.
Comment 3 markiewb 2013-05-01 20:06:45 UTC
Obsolete target milestone. Change from 7.2 to TBD


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo